commit - ab73e689b8b7d691de7f49ba69d1dc6cf10ad37e
commit + 0e5a098ac4b42e007819f387dac06a941534cea5
blob - 4837661a3f1d3724a4c7b8a235329ae2d6330c0f
blob + efdeafbe917d9f2c945e958629fc06b7bd9af2ba
--- regress/cmdline/histedit.sh
+++ regress/cmdline/histedit.sh
if [ ! -e $testroot/wt/alpha ]; then
echo "file alpha is missing on disk" >&2
test_done "$testroot" "1"
+ return 1
+ fi
+
+ echo "modified alpha" > $testroot/content.expected
+ cat $testroot/wt/alpha > $testroot/content
+ cmp -s $testroot/content.expected $testroot/content
+ ret=$?
+ if [ $ret -ne 0 ]; then
+ diff -u $testroot/content.expected $testroot/content
+ test_done "$testroot" "$ret"
return 1
fi
test_done "$testroot" "0"